juzu.io

## Class BinaryOutputStream

- java.lang.Object
- - juzu.io.BinaryStream
  - - juzu.io.BinaryOutputStream

- All Implemented Interfaces:
    Closeable, Flushable, Appendable, AutoCloseable, Stream

      public class BinaryOutputStream
      extends BinaryStream

  Author:
    Julien Viet

- - ### Field Summary

    - ### Fields inherited from class juzu.io.BinaryStream

      `BUFFER_SIZE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BinaryOutputStream(Charset charset, OutputStream out)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `BinaryStream` | `append(byte[] data)`
    `BinaryStream` | `append(byte[] data, int off, int len)`
    `void` | `close()`
    `void` | `flush()`

    - ### Methods inherited from class juzu.io.BinaryStream

      `append, append, append, append, append`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BinaryOutputStream

          public BinaryOutputStream(Charset charset,
                            OutputStream out)

  - ### Method Detail

    - #### append

          public BinaryStream append(byte[] data,
                            int off,
                            int len)
                              throws IOException

      Specified by:
        `append` in interface `Stream`
      Specified by:
        `append` in class `BinaryStream`
      Throws:
        `IOException`

    - #### append

          public BinaryStream append(byte[] data)
                              throws IOException

      Specified by:
        `append` in interface `Stream`
      Specified by:
        `append` in class `BinaryStream`
      Throws:
        `IOException`

    - #### flush

          public void flush()
                     throws IOException

      Throws:
        `IOException`

    - #### close

          public void close()
                     throws IOException

      Throws:
        `IOException`

Copyright © 2013 eXo Platform SAS. All Rights Reserved.